# DataExchange
TKVRML
Vrml

# Vrml_Translation Class Reference

defines a Translation of VRML specifying transform
properties.
This node defines a translation by 3D vector.
By default :
myTranslation (0,0,0)

`#include <Vrml_Translation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Vrml_Translation ()
Standard_EXPORT | Vrml_Translation (const gp_Vec &aTranslation)
Standard_EXPORT void | SetTranslation (const gp_Vec &aTranslation)
Standard_EXPORT gp_Vec | Translation () const
Standard_EXPORT Standard_OStream & | Print (Standard_OStream &anOStream) const

## Private Attributes

gp_Vec | myTranslation

## Constructor & Destructor Documentation

Standard_EXPORT Vrml_Translation::Vrml_Translation | ( |  | ) |

Standard_EXPORT Vrml_Translation::Vrml_Translation | ( | const gp_Vec & | aTranslation | ) |

## Member Function Documentation

void Vrml_Translation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Vrml_Translation::operator new | ( | size_t | size | ) | `[inline]`

void* Vrml_Translation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_OStream& Vrml_Translation::Print | ( | Standard_OStream & | anOStream | ) | const

Standard_EXPORT void Vrml_Translation::SetTranslation | ( | const gp_Vec & | aTranslation | ) |

Standard_EXPORT gp_Vec Vrml_Translation::Translation | ( |  | ) | const

## Field Documentation

gp_Vec Vrml_Translation::myTranslation `[private]`

The documentation for this class was generated from the following file:

- Vrml_Translation.hxx